Guard Arnold:
During Aden's unification war, Sir Cedric served King Raoul and performed meritorious deeds on the battlefield. He lived his entire life true to the spirit of chivalry and the will of Einhasad. He is the model for all young fighters of the kingdom, and a living legend.
When unification of the kingdom was complete, King Raoul suddenly passed away. Sir Cedric announced his retirement and came here to Talking Island, and built the training hall to teach youngsters. However, his health has declined since then, and he stays in the Castle Aden. The training hall is now run by his nephew, Sir Roien.
Return